Subject: [PATCH 01/14] mfd: intel_quark_i2c_gpio: Use clkdev_create()

From: [email-masked] (Stephen Boyd)
Date: Wed, 10 Feb 2016 10:35:04 -0800

On 02/10, Lee Jones wrote:
> On Mon, 08 Feb 2016, Stephen Boyd wrote:
> 
> > Convert this driver to use clkdev_create() instead of
> > clk_register_clkdevs(). The latter API is only used by this driver,
> > although this driver only allocates one clk to add anyway.
> > Furthermore, this driver allocates the clk_lookup structure with
> > devm, but clkdev_drop() will free that structure when passed,
> > leading to a double free when this driver is removed. Clean it
> > all up and pave the way for the removal of clk_register_clkdevs().
> > 
> > Cc: Lee Jones <[email-masked]>
> > Cc: Andy Shevchenko <[email-masked]>
> > Cc: Russell King <[email-masked]>
> > Signed-off-by: Stephen Boyd <[email-masked]>
> > ---
> >  drivers/mfd/intel_quark_i2c_gpio.c | 26 +++++++++-----------------
> >  1 file changed, 9 insertions(+), 17 deletions(-)
> 
> I never much liked this code [0]
> 
> Glad for it to be simplified.
> 
> Applied, thanks.
> 

Can you please ack the patch instead? I'd like to take it through
the clk tree so that I can remove clk_register_clkdevs() as well.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project